svn::ClientException Class Reference

`#include <exception.hpp>`

## Public Member Functions

| ClientException (svn_error_t *error) throw ()
| ClientException (apr_status_t status) throw ()
| ClientException (const char *message) throw ()
| ClientException (const ClientException &src) throw ()
virtual | ~ClientException () throw ()
Public Member Functions inherited from svn::Exception
| Exception (const char *message) throw ()
| ~Exception () throw ()
const char * | message () const
apr_status_t | apr_err () const

## Additional Inherited Members

Protected Attributes inherited from svn::Exception
Data * | m

## Detailed Description

Subversion client exception class.

## Constructor & Destructor Documentation

svn::ClientException::ClientException | ( | svn_error_t * | error | ) |
throw | ( |
| ) |  |

Constructor. Sets the error template and an optional message.

svn::ClientException::ClientException | ( | apr_status_t | status | ) |
throw | ( |
| ) |  |

Constructor that takes only an apr errorcode

svn::ClientException::ClientException | ( | const char * | message | ) |
throw | ( |
| ) |  |

inline

svn::ClientException::ClientException | ( | const ClientException & | src | ) |
throw | ( |
| ) |  |

Copy constructor

virtual svn::ClientException::~ClientException | ( |  | ) |
throw | ( |
| ) |  |

virtual

The documentation for this class was generated from the following file:

- exception.hpp